darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.Ssh

Synopsis

- data SshSettings = SshSettings {
  - ssh :: String
  - scp :: String
  - sftp :: String
  }
- defaultSsh :: SshSettings
- windows :: Bool
- copySSH :: String -> SshFilePath -> FilePath -> IO ()
- data SSHCmd
  - = SSH
  - | SCP
  - | SFTP
- getSSH :: SSHCmd -> IO (String, [String])
- environmentHelpSsh :: ([String], [String])
- environmentHelpScp :: ([String], [String])
- environmentHelpSshPort :: ([String], [String])
- transferModeHeader :: String
- resetSshConnections :: IO ()

# Documentation

data SshSettings #

Constructors

SshSettings |
Fields ssh :: String scp :: String sftp :: String

#### Instances

Instances details

Show SshSettings # |
Instance details Defined in Darcs.Util.Ssh Methods showsPrec :: Int -> SshSettings -> ShowS # show :: SshSettings -> String # showList :: [SshSettings] -> ShowS #
Eq SshSettings # |
Instance details Defined in Darcs.Util.Ssh Methods (==) :: SshSettings -> SshSettings -> Bool # (/=) :: SshSettings -> SshSettings -> Bool #

defaultSsh :: SshSettings #

windows :: Bool #

copySSH :: String -> SshFilePath -> FilePath -> IO () #

data SSHCmd #

Constructors

SSH |
SCP |
SFTP |

getSSH :: SSHCmd -> IO (String, [String]) #

Return the command and arguments needed to run an ssh command First try the appropriate darcs environment variable and SSH_PORT defaulting to "ssh" and no specified port.

environmentHelpSsh :: ([String], [String]) #

environmentHelpScp :: ([String], [String]) #

environmentHelpSshPort :: ([String], [String]) #

transferModeHeader :: String #

resetSshConnections :: IO () #

Terminate all child processes that run a remote "darcs transfer-mode" and remove them from the `sshConnections`, causing subsequent `copySSH` calls to start a fresh child.